package mx.managers
{
   import flash.display.InteractiveObject;
   import flash.display.Sprite;
   import mx.core.IUIComponent;
   
   public interface IFocusManager
   {
      function get focusPane() : Sprite;
      
      function getFocus() : IFocusManagerComponent;
      
      function deactivate() : void;
      
      function hideFocus() : void;
      
      function set defaultButton(param1:IUIComponent) : void;
      
      function set showFocusIndicator(param1:Boolean) : void;
      
      function get defaultButtonEnabled() : Boolean;
      
      function set focusPane(param1:Sprite) : void;
      
      function get nextTabIndex() : int;
      
      function get defaultButton() : IUIComponent;
      
      function get showFocusIndicator() : Boolean;
      
      function activate() : void;
      
      function showFocus() : void;
      
      function set defaultButtonEnabled(param1:Boolean) : void;
      
      function setFocus(param1:IFocusManagerComponent) : void;
      
      function findFocusManagerComponent(param1:InteractiveObject) : IFocusManagerComponent;
      
      function getNextFocusManagerComponent(param1:Boolean = false) : IFocusManagerComponent;
   }
}

