package mx.managers
{
   import flash.display.LoaderInfo;
   import flash.display.Sprite;
   import flash.display.Stage;
   import flash.events.IEventDispatcher;
   import flash.geom.Rectangle;
   import flash.text.TextFormat;
   import mx.core.IChildList;
   import mx.core.IFlexModuleFactory;
   
   public interface ISystemManager extends IEventDispatcher, IChildList, IFlexModuleFactory
   {
      function get toolTipChildren() : IChildList;
      
      function get numModalWindows() : int;
      
      function isTopLevel() : Boolean;
      
      function isFontFaceEmbedded(param1:TextFormat) : Boolean;
      
      function removeFocusManager(param1:IFocusManagerContainer) : void;
      
      function get document() : Object;
      
      function get topLevelSystemManager() : ISystemManager;
      
      function get focusPane() : Sprite;
      
      function get loaderInfo() : LoaderInfo;
      
      function set focusPane(param1:Sprite) : void;
      
      function get rawChildren() : IChildList;
      
      function get popUpChildren() : IChildList;
      
      function get screen() : Rectangle;
      
      function deactivate(param1:IFocusManagerContainer) : void;
      
      function getDefinitionByName(param1:String) : Object;
      
      function activate(param1:IFocusManagerContainer) : void;
      
      function get cursorChildren() : IChildList;
      
      function set document(param1:Object) : void;
      
      function get embeddedFontList() : Object;
      
      function addFocusManager(param1:IFocusManagerContainer) : void;
      
      function get stage() : Stage;
      
      function set numModalWindows(param1:int) : void;
   }
}

