package mx.managers
{
   import flash.display.DisplayObject;
   import mx.core.IToolTip;
   import mx.core.IUIComponent;
   import mx.effects.Effect;
   
   public interface IToolTipManager
   {
      function registerToolTip(param1:DisplayObject, param2:String) : void;
      
      function set enabled(param1:Boolean) : void;
      
      function get showDelay() : Number;
      
      function createToolTip(param1:String, param2:Number, param3:Number, param4:String = null, param5:IUIComponent = null) : IToolTip;
      
      function get enabled() : Boolean;
      
      function destroyToolTip(param1:IToolTip) : void;
      
      function set showDelay(param1:Number) : void;
      
      function set hideDelay(param1:Number) : void;
      
      function get scrubDelay() : Number;
      
      function get toolTipClass() : Class;
      
      function registerErrorString(param1:DisplayObject, param2:String) : void;
      
      function sizeTip(param1:IToolTip) : void;
      
      function set currentTarget(param1:DisplayObject) : void;
      
      function set showEffect(param1:Effect) : void;
      
      function get hideDelay() : Number;
      
      function set currentToolTip(param1:IToolTip) : void;
      
      function set hideEffect(param1:Effect) : void;
      
      function set scrubDelay(param1:Number) : void;
      
      function get currentToolTip() : IToolTip;
      
      function get showEffect() : Effect;
      
      function get currentTarget() : DisplayObject;
      
      function get hideEffect() : Effect;
      
      function set toolTipClass(param1:Class) : void;
   }
}

